<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description"
		content="Responsive Bootstrap4 Shop Template, Created by Imran Hossain from https://imransdesign.com/">

	<!-- title -->
	<title>HiCamp 登露</title>
	<style>
		.contact-form {
			width: 100%;
		}

		.form-title h2 {
			margin-right: 40px;
			font-size: 25px;
			color: #565656;
			cursor: pointer;
			transition: 0.3s;
		}

		.form-title h2:hover{
			color: #F28123;
			transition: 0.3s;
		}

		.memberInfo {
			border: 3px solid #F28123;
			border-radius: 10px;
			padding: 10px;
		}

		.contact-form input {
			font-size: 18px;
			display: inline-block;
			width: 33.2%;
			padding: 15px;
			border: 1px solid #ddd;
			border-radius: 3px;
			outline: none;
		}

		.contact-form p {
			font-size: 18px;
		}

		.informationBtn {
			background-color: #F28123;
			color: white;
			font-weight: 700;
			text-transform: uppercase;
			font-size: 15px;
			width: 12%;
			border: none !important;
			cursor: pointer;
			padding: 10px 25px;
			border-radius: 40px;
			transition: 0.3s;
		}

		.informationBtn:hover {
			background-color: #051922;
			color: #F28123;
			transition: 0.3s;
		}

		.imgBox {
			width: 200px;
			height: 200px;
			background-color: #565656;
			border-radius: 50%;
			overflow: hidden;
			position: relative;
		}

		.editPhoto {
			cursor: pointer;
			position: absolute;
			bottom: -35px;
			width: 200px;
			text-align: center;
			background-color: white;
			color: black;
			font-size: 18px;
			font-weight: bold;
			transition: 0.5s;
		}
		
		.changePassword{
			display: none;
		}
	</style>
</head>

<body>

	<div th:replace="~{layout/frontTopBar}"></div>

	<!-- breadcrumb-section -->
	<div class="breadcrumb-section breadcrumb-bg">
		<div class="container">
			<div class="row">
				<div class="col-lg-8 offset-lg-2 text-center">
					<div class="breadcrumb-text">
						<p>hicamp</p>
						<h1>設定</h1>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- end breadcrumb section -->

	<!-- contact form -->
	<div class="contact-from-section mt-150 mb-150">
		<div class="container">
			<div class="row">
				<div class="col-lg-8 mb-5 mb-lg-0">
					<div class="form-title" style="display: flex;">
						<h2 id="setting">個人資料</h2>
						<h2 id="changePassword">修改密碼</h2>
					</div>
					<div class="contact-form">
					</div>

					<div class="contact-form changePassword" style="flex-direction: column; justify-content: center; align-items: center;margin-top: 50px;">
						<p>舊密碼　：<input type="password" id="oldMemberPassword"
						 style="width: 70%;"/></p>
						<p>新密碼　：<input type="password" id="newMemberPassword"
						 style="width: 70%;" /></p>
						<p>確認密碼：<input type="password" id="confirm_password"
						 style="width: 70%;" /></p>
						 <span id="password_match_message" style="color: red; font-size: 18px; font-weight: bold;"></span>

						<button type="button" class="informationBtn" id="changePasswordBtn">修改</button>
					</div>
				</div>
				<div class="col-lg-4">
					<div class="contact-form-wrap">
						<div class="contact-form-box">
							<div class="imgBox">
								<img id="memberImg"
									th:src="'http://localhost:8080/HiCamp/getphoto?memberNo='+${session.memberNo}"
									style="height: 200px;width: 100%">
								<p class="editPhoto" data-bs-toggle="modal" data-bs-target="#staticBackdrop">編輯</p>
							</div>
						</div>
						<div class="contact-form-box">
							<h4><i class="fas fa-map"></i> 放一些貼文記錄之類的?
							</h4>
							<p>34/8, East Hukupara <br> Gifirtok, Sadan. <br> Country Name</p>
						</div>
						<div class="contact-form-box">
							<h4><i class="far fa-clock"></i> Shop Hours</h4>
							<p>MON - FRIDAY: 8 to 9 PM <br> SAT - SUN: 10 to 8 PM </p>
						</div>
						<div class="contact-form-box">
							<h4><i class="fas fa-address-book"></i> Contact</h4>
							<p>Phone: +00 111 222 3333 <br> Email: support@fruitkha.com</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
		aria-labelledby="staticBackdropLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="staticBackdropLabel">編輯相片</h5>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<form method="post" class="insertPhotoForm" enctype="multipart/form-data">
					<div class="modal-body">
						<input type="file" name="memberPhoto" class="memberPhoto" style="margin-bottom:15px">
						<img src="" id="updateImg">
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">關閉</button>
						<button type="submit" class="btn btn-primary submitBtn" data-bs-dismiss="modal"
							style="background-color: #F28123;border:2px solid #F28123">確定</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	<!-- end contact form -->

	<div th:replace="~{layout/frontBottomBar}"></div>

	<script>
		//切換編輯模式
		$(".editBtn").click(function () {
			$(".editable").attr({ "readonly": false }).css({ "outline": "1px solid #565656" });
			$(".updateBtn, .cancelBtn").css({ "display": "inline" });
			$(this).css({ "display": "none" });
		})
		$(".cancelBtn").click(function () {
			$(".editable").attr({ "readonly": true }).css({ "outline": "none" });
			$(".updateBtn, .cancelBtn").css({ "display": "none" });
			$(".editBtn").css({ "display": "inline" });
		})
		
		//按下修改送出資料
		$(".updateBtn").click(function () {
			$(".editable").attr({ "readonly": true }).css({ "outline": "none" });
			$(".updateBtn, .cancelBtn").css({ "display": "none" });
			$(".editBtn").css({ "display": "inline" });

			let member = {
				memberName: $("#memberName").val(),
				memberEmail: $("#memberEmail").val(),
				memberPassword: $("#memberPassword").val(),
				memberPhone: $("#memberPhone").val(),
				memberId: $("#memberId").val(),
				memberBirthday: $("#memberBirthday").val(),
				memberAddress: $("#memberAddress").val(),
				memberEmergencyContact: $("#memberEmergencyContact").val(),
				memberEmergencyPhone: $("#memberEmergencyPhone").val()
			};

			$.ajax({
				url: "http://localhost:8080/HiCamp/projectmemberupdate",
				type: "put",
				data: JSON.stringify(member),
				contentType: "application/json",
				success: function (member) {
					Swal.fire({
						position: 'top-center',
						icon: 'success',
						title: '修改成功',
						showConfirmButton: false,
						timer: 2000
					});

					$("#memberName").val(member.memberName)
					$("#memberEmail").val(member.memberEmail)
					$("#memberPassword").val(member.memberPassword)
					$("#memberPhone").val(member.memberPhone)
					$("#memberId").val(member.memberId)
					$("#memberBirthday").val(member.memberBirthday)
					$("#memberAddress").val(member.memberAddress)
					$("#memberEmergencyContact").val(member.memberEmergencyContact)
					$("#memberEmergencyPhone").val(member.memberEmergencyPhone)
				},
				error: function (err) {
					Swal.fire({
						position: 'top-center',
						icon: 'error',
						title: '修改失敗',
						showConfirmButton: false,
						timer: 2000
					})
				}
			});
		})

		//照片的編輯按鈕
		$(".imgBox").mouseover(function () {
			$(".editPhoto").css({ "bottom": "0px" });
		});
		$(".imgBox").mouseout(function () {
			$(".editPhoto").css({ "bottom": "-35px" });
		})
	
		//按下編輯按鈕，讓彈跳視窗中的照片顯示為目前的照片
		$(".editPhoto").click(function () {
			$("#updateImg").attr({ "src": $("#memberImg").attr('src') })
		})

		//更新照片前的預覽畫面
		$(".memberPhoto").change(function () {
			readURL(this);
		});
		function readURL(input) {
			if (input.files && input.files[0]) {
				var reader = new FileReader();
				reader.onload = function (e) {
					$("#updateImg").attr('src', e.target.result);
				}
				reader.readAsDataURL(input.files[0]);
			}
		}

		//按下修改照片送出資料
		$(".submitBtn").click(function (e) {
			e.preventDefault();
			let form = $(".insertPhotoForm")[0];
			let formDataObject = new FormData(form);

			$.ajax({
				url: 'http://localhost:8080/HiCamp/insertphoto',
				type: 'post',
				processData: false,
				contentType: false,
				data: formDataObject,
				success: function (response) {
					console.log(response);
					window.location.href = "http://localhost:8080/HiCamp/projectmembersetting";
				},
				error: function () {
					console.log('失敗');
				}
			})
		});
		
		//切換個人資料跟修改密碼		
		$("#changePassword").click(function(){
			$(".contact-form").css({"display": "none"});
			$(".changePassword").css({"display": "flex"});
		});
		$("#setting").click(function(){
			$(".contact-form").css({"display": "block"});
			$(".changePassword").css({"display": "none"});
		});
		
		//判斷密碼是否一致
		$("#newMemberPassword").keyup(function (e) {
			if ($("#newMemberPassword").val() !== $("#confirm_password").val())
				$("#password_match_message").text('密碼不一致');
			else
				$("#password_match_message").text('');
		});
		$("#confirm_password").keyup(function (e) {
			if ($("#newMemberPassword").val() !== $("#confirm_password").val())
				$("#password_match_message").text('密碼不一致');
			else
				$("#password_match_message").text('');
		});
		
		//送出修改密碼資料
		$("#changePasswordBtn").click(function(){
			let password = $("#newMemberPassword").val();
			
			$.ajax({
				url: "http://localhost:8080/HiCamp/changememberpassword",
				type: "put",
				data: {
					"memberPassword": password
				},
				success: function(){
					Swal.fire({
						position: 'top-center',
						icon: 'success',
						title: '修改成功',
						showConfirmButton: false,
						timer: 2000
					});
					$("#oldMemberPassword").val("");
					$("#newMemberPassword").val("");
					$("#confirm_password").val("");
				}
			})
		});
	</script>
</body>

</html>